#
# spec file for package python-PySocks
#
# Copyright (c) 2023 SUSE LLC
# Copyright (c) 2016 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
%{?sle15_python_module_pythons}
Name:           python-PySocks
Version:        1.7.1
Release:        2.7
Summary:        A Python SOCKS client module
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/Anorov/PySocks
Source:         https://files.pythonhosted.org/packages/source/P/PySocks/PySocks-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%ifpython2
Provides:       %{oldpython}-SocksiPy = %{version}
Obsoletes:      %{oldpython}-SocksiPy < %{version}
%endif
%python_subpackages

%description
A Python SOCKS client module.

It is an actively maintained SocksiPy fork. Contains many
improvements to the original.

See https://github.com/Anorov/PySocks for more information.

%prep
%setup -q -n PySocks-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%{python_sitelib}/socks.py*
%{python_sitelib}/sockshandler.py*
%{python_sitelib}/PySocks-%{version}-py*.egg-info
%pycache_only %{python_sitelib}/__pycache__

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Tue Sep 24 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.7.1:
  * no changelog provided
* Sat Jun 15 2019 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
  * be more specific in %%files section
- update to version 1.7.0:
  * (no changelog available)
- changes from 1.6.8:
  * Python 2.7 and 3.4+ only
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Thu Dec 21 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.8:
  * Remove support for EOL Python 3.3
  * Make create_connection() signature match socket module
  * Add python version classifiers
  * Include win_inet_pton when installing on Python 2.x under Windows
  * fix #937 getpeername() errror while using gevent
  * Update README.md
  * PEP8 fixes for line length, indentation, line breaks and other
    minor issues.
  * Normalize quoting.
  * Update socks.py
* Sat Nov  4 2017 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.6.7:
  * Make SocksiPy legacy functions kwarg-compatible. See issue #71.
  * Use setuptools in setup.py to support wheel. See issue #73.
  * Test and logging enhancements
* Tue Mar 21 2017 jmatejek@suse.com
- update for singlespec
- update to 1.6.6
  * python 3.6 support
  * bug fixes
* Fri Mar 11 2016 toddrme2178@gmail.com
- Fix license
- Provides/Obsoletes python-SocksiPy, which this is an updated fork
  of and conflicts with.
* Tue Jan  5 2016 hpj@urpla.net
- Version 1.5.6: initial build
